gtkmm: Gtk::OffscreenWindow Class Reference

gtkmm 3.5.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::OffscreenWindow Class Reference
Container Widgets | Widgets

A top-level container widget used to manage offscreen rendering of child widgets. More...

Inheritance diagram for Gtk::OffscreenWindow:
[legend]

List of all members.

## Public Member Functions
virtual | ~OffscreenWindow ()
GtkOffscreenWindow* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkOffscreenWindow* | gobj () const
| Provides access to the underlying C GtkObject.
| OffscreenWindow ()
Cairo::RefPtr< Cairo::Surface > | get_surface ()
| Retrieves a snapshot of the contained widget in the form of a #cairo_surface_t.
Cairo::RefPtr< const Cairo::Surface > | get_surface () const
| Retrieves a snapshot of the contained widget in the form of a #cairo_surface_t.
Glib::RefPtr< Gdk::Pixbuf > | get_pixbuf ()
| Retrieves a snapshot of the contained widget in the form of a Gdk::Pixbuf.
Glib::RefPtr< const Gdk::Pixbuf > | get_pixbuf () const
| Retrieves a snapshot of the contained widget in the form of a Gdk::Pixbuf.
Public Member Functions inherited from Gtk::Window
virtual | ~Window ()
| Window (WindowType type=WINDOW_TOPLEVEL)
Glib::PropertyProxy_ReadOnly < WindowType > | property_type () const
| The type of the window.
Glib::PropertyProxy < Glib::ustring > | property_title ()
| The title of the window.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_title () const
| The title of the window.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_startup_id ()
| Unique startup identifier for the window used by startup-notification.
Glib::PropertyProxy< bool > | property_resizable ()
| If TRUE, users can resize the window.
Glib::PropertyProxy_ReadOnly < bool > | property_resizable () const
| If TRUE, users can resize the window.
Glib::PropertyProxy< bool > | property_modal ()
| If TRUE, the window is modal (other windows are not usable while this one is up).
Glib::PropertyProxy_ReadOnly < bool > | property_modal () const
| If TRUE, the window is modal (other windows are not usable while this one is up).
Glib::PropertyProxy < WindowPosition > | property_window_position ()
| The initial position of the window.
Glib::PropertyProxy_ReadOnly < WindowPosition > | property_window_position () const
| The initial position of the window.
Glib::PropertyProxy< int > | property_default_width ()
| The default width of the window, used when initially showing the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
| The default width of the window, used when initially showing the window.
Glib::PropertyProxy< int > | property_default_height ()
| The default height of the window, used when initially showing the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
| The default height of the window, used when initially showing the window.
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy_ReadOnly < bool > | property_destroy_with_parent () const
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy< bool > | property_hide_titlebar_when_maximized ()
| If this window's titlebar should be hidden when the window is maximized.
Glib::PropertyProxy_ReadOnly < bool > | property_hide_titlebar_when_maximized () const
| If this window's titlebar should be hidden when the window is maximized.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon for this window.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon for this window.
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy_ReadOnly < bool > | property_mnemonics_visible () const
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy < Glib::ustring > | property_icon_name ()
| Name of the themed icon for this window.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_icon_name () const
| Name of the themed icon for this window.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Screen > > | property_screen ()
| The screen where this window will be displayed.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Screen > > | property_screen () const
| The screen where this window will be displayed.
Glib::PropertyProxy_ReadOnly < bool > | property_is_active () const
| Whether the toplevel is the current active window.
Glib::PropertyProxy_ReadOnly < bool > | property_has_toplevel_focus () const
| Whether the input focus is within this GtkWindow.
Glib::PropertyProxy < GdkWindowTypeHint > | property_type_hint ()
| Hint to help the desktop environment understand what kind of window this is and how to treat it.
Glib::PropertyProxy_ReadOnly < GdkWindowTypeHint > | property_type_hint () const
| Hint to help the desktop environment understand what kind of window this is and how to treat it.
Glib::PropertyProxy< bool > | property_skip_taskbar_hint ()
| TRUE if the window should not be in the task bar.
Glib::PropertyProxy_ReadOnly < bool > | property_skip_taskbar_hint () const
| TRUE if the window should not be in the task bar.
Glib::PropertyProxy< bool > | property_skip_pager_hint ()
| TRUE if the window should not be in the pager.
Glib::PropertyProxy_ReadOnly < bool > | property_skip_pager_hint () const
| TRUE if the window should not be in the pager.
Glib::PropertyProxy < Glib::ustring > | property_role ()
| Unique identifier for the window to be used when restoring a session.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_role () const
| Unique identifier for the window to be used when restoring a session.
Glib::PropertyProxy< bool > | property_decorated ()
| Whether the window should be decorated by the window manager.
Glib::PropertyProxy_ReadOnly < bool > | property_decorated () const
| Whether the window should be decorated by the window manager.
Glib::PropertyProxy< Gdk::Gravity > | property_gravity ()
| The window gravity of the window.
Glib::PropertyProxy_ReadOnly < Gdk::Gravity > | property_gravity () const
| The window gravity of the window.
Glib::PropertyProxy< Window* > | property_transient_for ()
| The transient parent of the dialog.
Glib::PropertyProxy_ReadOnly < Window* > | property_transient_for () const
| The transient parent of the dialog.
Glib::PropertyProxy< double > | property_opacity ()
| The opacity of the window, from 0 to 1.
Glib::PropertyProxy_ReadOnly < double > | property_opacity () const
| The opacity of the window, from 0 to 1.
Glib::PropertyProxy< bool > | property_has_resize_grip ()
| Specifies whether the window should have a resize grip.
Glib::PropertyProxy_ReadOnly < bool > | property_has_resize_grip () const
| Specifies whether the window should have a resize grip.
Glib::PropertyProxy_ReadOnly < bool > | property_resize_grip_visible () const
| Specifies whether the window's resize grip is visible.
Glib::PropertyProxy< bool > | property_urgency_hint ()
| TRUE if the window should be brought to the user's attention.
Glib::PropertyProxy_ReadOnly < bool > | property_urgency_hint () const
| TRUE if the window should be brought to the user's attention.
Glib::PropertyProxy< bool > | property_accept_focus ()
| TRUE if the window should receive the input focus.
Glib::PropertyProxy_ReadOnly < bool > | property_accept_focus () const
| TRUE if the window should receive the input focus.
Glib::PropertyProxy< bool > | property_focus_on_map ()
| TRUE if the window should receive the input focus when mapped.
Glib::PropertyProxy_ReadOnly < bool > | property_focus_on_map () const
| TRUE if the window should receive the input focus when mapped.
Glib::PropertyProxy< bool > | property_deletable ()
| Whether the window frame should have a close button.
Glib::PropertyProxy_ReadOnly < bool > | property_deletable () const
| Whether the window frame should have a close button.
Glib::PropertyProxy < Glib::RefPtr< Application > > | property_application ()
| The GtkApplication for the window.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Application > > | property_application () const
| The GtkApplication for the window.
Glib::SignalProxy1< void, Widget* > | signal_set_focus ()
void | set_title (const Glib::ustring& title)
| Sets the title of the Gtk::Window.
Glib::ustring | get_title () const
| Retrieves the title of the window.
void | set_wmclass (const Glib::ustring& wmclass_name, const Glib::ustring& wmclass_class)
| Don't use this function.
void | set_role (const Glib::ustring& role)
| This function is only useful on X11, not with other GTK+ targets.
Glib::ustring | get_role () const
| Returns the role of the window.
void | add_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Associate accel_group with window, such that calling gtk_accel_groups_activate() on window will activate accelerators in accel_group.
void | remove_accel_group (const Glib::RefPtr< AccelGroup >& accel_group)
| Reverses the effects of add_accel_group().
void | set_position (WindowPosition position)
| Sets a position constraint for this window.
bool | activate_focus ()
| Activates the current focused widget within the window.
void | set_focus (Gtk::Widget& focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window.
void | unset_focus ()
Widget* | get_focus ()
| Retrieves the current focused widget within the window.
const Widget* | get_focus () const
| Retrieves the current focused widget within the window.
void | set_default (Gtk::Widget& default_widget)
| The default widget is the widget that's activated when the user presses Enter in a dialog (for example).
void | unset_default ()
bool | activate_default ()
| Activates the default widget for the window, unless the current focused widget has been configured to receive the default action (see Gtk::Widget::set_receives_default()), in which case the focused widget is activated.
void | set_transient_for (Window& parent)
| Dialog windows should be set transient for the main application window they were spawned from.
void | unset_transient_for ()
| Unsets the current transient window.
Window* | get_transient_for ()
| Fetches the transient parent for this window.
const Window* | get_transient_for () const
| Fetches the transient parent for this window.
void | unset_attached_to ()
| Unsets the attached-to widget.
void | set_attached_to (Widget& attach_widget)
| Marks window as attached to attach_widget.
Widget* | get_attached_to ()
| Fetches the attach widget for this window.
const Widget* | get_attached_to () const
| Fetches the attach widget for this window.
void | set_opacity (double opacity)
| Request the windowing system to make window partially transparent, with opacity 0 being fully transparent and 1 fully opaque.
double | get_opacity () const
| Fetches the requested opacity for this window.
void | set_type_hint (Gdk::WindowTypeHint hint)
| By setting the type hint for the window, you allow the window manager to decorate and handle the window in a way which is suitable to the function of the window in your application.
Gdk::WindowTypeHint | get_type_hint () const
| Gets the type hint for this window.
void | set_skip_taskbar_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the task bar.
bool | get_skip_taskbar_hint () const
| Gets the value set by set_skip_taskbar_hint()
void | set_skip_pager_hint (bool setting=true)
| Windows may set a hint asking the desktop environment not to display the window in the pager.
bool | get_skip_pager_hint () const
| Gets the value set by set_skip_pager_hint().
void | set_urgency_hint (bool setting=true)
| Windows may set a hint asking the desktop environment to draw the users attention to the window.
bool | get_urgency_hint () const
| Gets the value set by set_urgency_hint()
void | set_accept_focus (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus.
bool | get_accept_focus () const
| Gets the value set by set_accept_focus().
void | set_focus_on_map (bool setting=true)
| Windows may set a hint asking the desktop environment not to receive the input focus when the window is mapped.
bool | get_focus_on_map () const
| Gets the value set by set_focus_on_map().
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent.
void | set_hide_titlebar_when_maximized (bool setting=true)
| If setting is `true`, then window will request that it's titlebar should be hidden when maximized.
bool | get_hide_titlebar_when_maximized () const
| Returns whether the window has requested to have its titlebar hidden when maximized.
void | set_mnemonics_visible (bool setting=true)
| Sets the Gtk::Window::property_mnemonics_visible() property.
bool | get_mnemonics_visible () const
| Gets the value of the Gtk::Window::property_mnemonics_visible() property.
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window.
bool | get_resizable () const
| Gets the value set by set_resizable().
void | set_gravity (Gdk::Gravity gravity)
| Window gravity defines the meaning of coordinates passed to move().
Gdk::Gravity | get_gravity () const
| Gets the value set by set_gravity().
void | set_geometry_hints (Widget& geometry_widget, const Gdk::Geometry& geometry, Gdk::WindowHints geom_mask)
| This function sets up hints about how a window can be resized by the user.
void | set_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Sets the Gdk::Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen.
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Returns the Gdk::Screen associated with window.
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Returns the Gdk::Screen associated with window.
void | set_decorated (bool setting=true)
| By default, windows are decorated with a title bar, resize controls, etc.
bool | get_decorated () const
| Returns whether the window has been set to have decorations such as a title bar via set_decorated().
void | set_deletable (bool setting=true)
| By default, windows have a close button in the window frame.
bool | get_deletable () const
| Returns whether the window has been set to have a close button via set_deletable().
std::vector< Glib::RefPtr < Gdk::Pixbuf > > | get_icon_list ()
| Retrieves the list of icons set by set_icon_list().
std::vector< Glib::RefPtr < const Gdk::Pixbuf > > | get_icon_list () const
| Retrieves the list of icons set by set_icon_list().
void | set_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > >& list)
| Sets up the icon representing a Gtk::Window.
void | set_icon (const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Sets up the icon representing a Gtk::Window.
void | set_icon_name (const Glib::ustring& name)
| Sets the icon for the window from a named themed icon.
bool | set_icon_from_file (const std::string& filename)
| Sets the icon for the window.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the value set by set_icon() (or if you've called set_icon_list(), gets the first icon in the icon list).
Glib::ustring | get_icon_name () const
| Returns the name of the themed icon for the window, see set_icon_name().
void | set_modal (bool modal=true)
| Sets a window modal or non-modal.
bool | get_modal () const
| Returns whether the window is modal.
void | add_mnemonic (guint keyval, Widget& target)
| Adds a mnemonic to this window.
void | remove_mnemonic (guint keyval, Widget& target)
| Removes a mnemonic from this window.
bool | mnemonic_activate (guint keyval, Gdk::ModifierType modifier)
| Activates the targets associated with the mnemonic.
void | set_mnemonic_modifier (Gdk::ModifierType modifier)
| Sets the mnemonic modifier for this window.
Gdk::ModifierType | get_mnemonic_modifier ()
| Returns the mnemonic modifier for this window.
void | present ()
| Presents a window to the user.
void | present (guint32 timestamp)
| Presents a window to the user in response to a user interaction.
void | iconify ()
| Asks to iconify (i.e. minimize) the specified window.
void | deiconify ()
| Asks to deiconify (i.e. unminimize) the specified window.
void | stick ()
| Asks to stick window, which means that it will appear on all user desktops.
void | unstick ()
| Asks to unstick window, which means that it will appear on only one of the user's desktops.
void | maximize ()
| Asks to maximize window, so that it becomes full-screen.
void | unmaximize ()
| Asks to unmaximize window.
void | fullscreen ()
| Asks to place window in the fullscreen state.
void | unfullscreen ()
| Asks to toggle off the fullscreen state for window.
void | begin_resize_drag (Gdk::WindowEdge edge, int button, int root_x, int root_y, guint32 timestamp)
| Starts resizing a window.
void | begin_move_drag (int button, int root_x, int root_y, guint32 timestamp)
| Starts moving a window.
void | set_default_size (int width, int height)
| Sets the default size of a window.
void | get_default_size (int& width, int& height) const
| Gets the default size of the window.
void | resize (int width, int height)
| Resizes the window as if the user had done so, obeying geometry constraints.
void | get_size (int& width, int& height) const
| Obtains the current size of window.
void | move (int x, int y)
| Asks the window manager to move window to the given position.
void | get_position (int& root_x, int& root_y) const
| This function returns the position you need to pass to move() to keep window in its current position.
bool | parse_geometry (const Glib::ustring& geometry)
| Parses a standard X Window System geometry string - see the manual page for X (type 'man X') for details on this.
Glib::RefPtr< WindowGroup > | get_group ()
| Returns the group for window or the default group, if window is `0` or if window does not have an explicit window group.
Glib::RefPtr< const WindowGroup > | get_group () const
| Returns the group for window or the default group, if window is `0` or if window does not have an explicit window group.
WindowType | get_window_type () const
| Gets the type of the window.
void | reshow_with_initial_size ()
| Hides window, then reshows it, resetting the default size and position of the window.
Glib::RefPtr< Application > | get_application ()
| Gets the Gtk::Application associated with the window (if any).
Glib::RefPtr< const Application > | get_application () const
| Gets the Gtk::Application associated with the window (if any).
void | set_application (const Glib::RefPtr< Application >& application)
| Sets or unsets the Gtk::Application associated with the window.
void | unset_application ()
| Unsets the Application associated with the window.
void | set_has_resize_grip (bool setting=true)
| Sets whether window has a corner resize grip.
bool | get_has_resize_grip () const
| Determines whether the window may have a resize grip.
bool | get_resize_grip_is_visible () const
| Determines whether a resize grip is visible for the specified window.
bool | get_resize_grip_area (Gdk::Rectangle& rect) const
| If a window has a resize grip, this will retrieve the grip position, width and height into the specified Gdk::Rectangle.
void | set_keep_above (bool setting=true)
| Asks to keep window above, so that it stays on top.
void | set_keep_below (bool setting=true)
| Asks to keep window below, so that it stays in bottom.
Glib::RefPtr< AccelGroup > | get_accel_group ()
| Returns a default accel group for this window This is a gtkmm-specific function.
virtual void | raise ()
| Brings the window to the front.
virtual void | set_manage ()
| Overriden to warn that it doesn't make sense to use Gtk::manage() on this class because it has no parent container.
Public Member Functions inherited from Gtk::Bin
virtual | ~Bin ()
Gtk::Widget* | get_child ()
| Gets the child of the Gtk::Bin, or `0` if the bin contains no child widget.
const Gtk::Widget* | get_child () const
| Gets the child of the Gtk::Bin, or `0` if the bin contains no child widget.
void | remove ()
| Remove the contained object Since this can only hold one object it is not necessary to specify which object to remove like other containers.
void | add_label (const Glib::ustring& label, bool mnemonic=false, double x_align=0.5, double y_align=0.5)
| Add a Label object.
void | add_label (const Glib::ustring& label, bool mnemonic, Align x_align, Align y_align=ALIGN_CENTER)
| Add a Label object.
void | add_pixlabel (const std::string& pixfile, const Glib::ustring& label, double x_align=0.5, double y_align=0.5)
| Add Image and Label objects.
Public Member Functions inherited from Gtk::Container
virtual | ~Container ()
void | set_border_width (guint border_width)
| Sets the border width of the container.
guint | get_border_width () const
| Retrieves the border width of the container.
virtual void | add (Widget& widget)
void | remove (Widget& widget)
| Removes widget from container.
void | set_resize_mode (ResizeMode resize_mode)
| Sets the resize mode for the container.
ResizeMode | get_resize_mode () const
| Returns the resize mode for the container.
void | check_resize ()
| Request that contained widgets check their size.
void | foreach (const ForeachSlot& slot)
| Operate on contained items This is largely an internal used mainly for things like creating duplicates of internal lists and other such operations.
std::vector< Widget* > | get_children ()
| (internal) Operate on contained items (see foreach())
std::vector< const Widget* > | get_children () const
| Returns the container's non-internal children.
void | set_focus_chain (const std::vector< Widget* >& focusable_widgets)
| Sets a focus chain, overriding the one computed automatically by GTK+.
bool | has_focus_chain () const
std::vector< Widget* > | get_focus_chain ()
std::vector< const Widget* > | get_focus_chain () const
void | unset_focus_chain ()
| Removes a focus chain explicitly set with set_focus_chain().
void | set_reallocate_redraws (bool needs_redraws=true)
| Sets the reallocate_redraws flag of the container to the given value.
void | set_focus_child (Widget& widget)
| Sets the focus on a child.
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
| Retrieves the vertical focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
| Retrieves the vertical focus adjustment for the container.
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
| Retrieves the horizontal focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
| Retrieves the horizontal focus adjustment for the container.
void | resize_children ()
GType | child_type () const
| Returns the type of the children supported by the container.
Glib::SignalProxy1< void, Widget* > | signal_add ()
Glib::SignalProxy1< void, Widget* > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget* > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
| Destroys the widget.
void | show ()
| Flags a widget to be displayed.
void | show_now ()
| Shows a widget.
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user).
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container).
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget.
void | queue_draw_area (int x, int y, int width, int height)
| Convenience function that calls queue_draw_region() on the region created from the given coordinates.
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Invalidates the rectangular area of widget defined by region by calling gdk_window_invalidate_region() on the widget's window and all its child windows.
void | queue_resize ()
| This function is only for use in widget implementations.
void | size_allocate (const Allocation& allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (int& minimum_width, int& natural_width) const
| Retrieves a widget's initial minimum and natural width.
void | get_preferred_height_for_width (int width, int& minimum_height, int& natural_height) const
| Retrieves a widget's minimum and natural height if it would be given the specified width.
void | get_preferred_height (int& minimum_height, int& natural_height) const
| Retrieves a widget's initial minimum and natural height.
void | get_preferred_width_for_height (int height, int& minimum_width, int& natural_width) const
| Retrieves a widget's minimum and natural width if it would be given the specified height.
void | get_preferred_size (Requisition& minimum_size, Requisition& natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget's preference for height-for-width management.
void | add_accelerator (const Glib::ustring& accel_signal, const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated.
bool | remove_accelerator (const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator().
void | set_accel_path (const Glib::ustring& accel_path, const Glib::RefPtr< AccelGroup >& accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated.
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal.
bool | event (GdkEvent* event)
| Rarely-used function.
int | send_expose (GdkEvent*event)
| Very rarely-used function.
bool | send_focus_change (GdkEvent*event)
| Sends the focus change event to widget.
bool | activate ()
| For widgets that can be "activated" (buttons, menu items, etc.) this function activates them.
void | reparent (Widget& new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget.
bool | intersect (const Gdk::Rectangle& area) const
bool | intersect (const Gdk::Rectangle& area, Gdk::Rectangle& intersection) const
| Computes the intersection of a widget's area and area, storing the intersection in intersection, and returns `true` if there was an intersection.
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region >& region) const
| Computes the intersection of a widget's area and region, returning the intersection.
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget.
void | child_notify (const Glib::ustring& child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the child property child_property on widget.
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify().
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus.
bool | get_can_focus () const
| Determines whether widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside.
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget.
bool | get_can_default () const
| Determines whether widget can be a default widget.
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel.
void | grab_default ()
| Causes widget to become the default widget.
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether widget is alyways treated as default widget withing its toplevel when it has the focus, even if another widget is the default.
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse).
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device >& device)
| Returns `true` if device has been shadowed by a GTK+ device grab on another widget, so it would stop sending events to widget.
void | add_modal_grab ()
| Block events to everything else than this widget and its children.
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed.
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a CSS file.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state (StateType state)
| This function is for use in widget implementations.
StateType | get_state () const
| Returns the widget's state.
void | set_state_flags (StateFlags flags, bool clear=true)
| This function is for use in widget implementations.
void | unset_state_flags (StateFlags flags)
| This function is for use in widget implementations.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget.
bool | get_sensitive () const
| Returns the widget's sensitivity (in the sense of returning the value that has been set using set_sensitive()).
bool | is_sensitive () const
| Returns the widget's effective sensitivity, which means it is sensitive itself and also its parent widget is sensitive.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own.
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget.
bool | get_is_drawable () const
| Determines whether widget can be drawn to.
bool | get_realized () const
| Determines whether widget is realized.
bool | get_mapped () const
| Whether the widget is mapped.
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering.
bool | get_double_buffered () const
| Determines whether the widget is double buffered.
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes.
void | set_child_visible (bool is_visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show().
bool | get_child_visible () const
| Gets the value set with set_child_visible().
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget's window if it is realized, `0` otherwise.
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget's window if it is realized, `0` otherwise.
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget.
Allocation | get_allocation () const
| Retrieves the widget's location.
void | set_allocation (const Allocation& allocation)
| Sets the widget's allocation.
Container* | get_parent ()
| Returns the parent container of widget.
const Container* | get_parent () const
| Returns the parent container of widget.
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget's parent window.
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget's parent window.
void | set_parent_window (const Glib::RefPtr< const Gdk::Window >& parent_window)
| Sets a non default parent window for widget.
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you'd use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order.
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary.
void | error_bell ()
| Notifies the user about an input-related error on this widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget's size request will be width by height.
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request().
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget.
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget.
void | set_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Sets the device event mask (see Gdk::EventMask) for a widget.
void | add_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Adds the device events in the bitfield events to the event mask for widget.
void | set_device_enabled (const Glib::RefPtr< Gdk::Device >& device, bool enabled=true)
| Enables or disables a Gdk::Device to interact with widget and all its children.
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns whether device can interact with widget and its children.
Container* | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of.
const Container* | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of.
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type.
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type.
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget.
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located.
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget.
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring& selection)
| Returns the clipboard object for the given selection to be used with widget.
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring& selection) const
| Returns the clipboard object for the given selection to be used with widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag (see get_hexpand()) will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag (see get_vexpand()) will be used.
void | queue_compute_expand ()
| Mark widget as needing to recompute its expand flags.
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible.
bool | get_support_multidevice () const
| Returns `true` if widget is multiple pointer aware.
void | set_support_multidevice (bool support_multidevice=true)
| Enables or disables multiple pointer awareness.
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology.
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology.
Align | get_halign () const
| Gets the value of the Gtk::Widget::property_halign() property.
void | set_halign (Align align)
| Sets the horizontal alignment of widget.
Align | get_valign () const
| Gets the value of the Gtk::Widget::property_valign() property.
void | set_valign (Align align)
| Sets the vertical alignment of widget.
int | get_margin_left () const
| Gets the value of the Gtk::Widget::property_margin_left() property.
void | set_margin_left (int margin)
| Sets the left margin of widget.
int | get_margin_right () const
| Gets the value of the Gtk::Widget::property_margin_right() property.
void | set_margin_right (int margin)
| Sets the right margin of widget.
int | get_margin_top () const
| Gets the value of the Gtk::Widget::property_margin_top() property.
void | set_margin_top (int margin)
| Sets the top margin of widget.
int | get_margin_bottom () const
| Gets the value of the Gtk::Widget::property_margin_bottom() property.
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget.
Gdk::EventMask | get_events () const
| Returns the event mask for the widget (a bitfield containing flags from the Gdk::EventMask enumeration).
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns the events mask for the widget corresponding to an specific device.
void | get_pointer (int& x, int& y) const
| Obtains the location of the mouse pointer in widget coordinates.
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers.
bool | translate_coordinates (Widget& dest_widget, int src_x, int src_y, int& dest_x, int& dest_y)
| Translate coordinates relative to src_widget's allocation to coordinates relative to dest_widget's allocations.
void | override_color (const Gdk::RGBA& color, StateFlags state=(StateFlags) 0)
void | unset_color (StateFlags state=(StateFlags) 0)
void | override_background_color (const Gdk::RGBA& color, StateFlags state=(StateFlags) 0)
void | unset_background_color (StateFlags state=(StateFlags) 0)
void | override_font (const Pango::FontDescription& font_desc)
| Sets the font to use for a widget.
void | unset_font ()
void | override_symbolic_color (const Glib::ustring& name, const Gdk::RGBA& color)
| Sets a symbolic color for a widget.
void | unset_symbolic_color (const Glib::ustring& name)
void | override_cursor (const Gdk::RGBA& cursor, const Gdk::RGBA& secondary_cursor)
| Sets the cursor color to use in a widget, overriding the Gtk::Widget::property_cursor_color() and Gtk::Widget::property_secondary_cursor_color() style properties.
void | unset_cursor ()
void | reset_style ()
| Updates the style context of widget and all descendents by updating its widget path.
template<class PropertyType >
void | get_style_property (const Glib::ustring& the_property_name, PropertyType&value) const
| Gets the value of a style property of widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID& stock_id, IconSize size)
| A convenience function that uses the theme engine and style settings for widget to look up stock_id and render it to a pixbuf.
void | set_composite_name (const Glib::ustring& name)
| Sets a widgets composite name.
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget.
TextDirection | get_direction () const
| Gets the reading direction for a particular widget.
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets a shape for this widget's GDK window.
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets an input shape for this widget's GDK window.
WidgetPath | get_path () const
| Returns the Gtk::WidgetPath representing widget, if the widget is not connected to a toplevel widget, a partial path will be created.
std::vector< Widget* > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
std::vector< const Widget* > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget.
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::ustring& target, guint32 time)
| Gets the data associated with a drag.
void | drag_highlight ()
| Draws a highlight around a widget.
void | drag_unhighlight ()
| Removes a highlight set by gtk_drag_highlight() from a widget.
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry >& targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window >& proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
| Sets this widget as a proxy for drops to another window.
void | drag_dest_unset ()
| Clears information about a drop destination set with gtk_drag_dest_set().
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::RefPtr< TargetList >& target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning Gdk::NONE.
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
| Returns the list of targets this widget can accept from drag-and-drop.
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
| Returns the list of targets this widget can accept from drag-and-drop.
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList >& target_list)
| Sets the target types that this widget can accept from drag-and-drop.
void | drag_dest_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag destination.
void | drag_dest_add_image_targets ()
| Add the image targets supported by Gtk::Selection to the target list of the drag destination.
void | drag_dest_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag destination.
void | drag_source_set (const std::vector< TargetEntry >& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
| Undoes the effects of set().
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
| Sets the icon that will be used for drags from a particular widget from a Gdk::Pixbuf.
void | drag_source_set_icon (const StockID& stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon.
void | drag_source_set_icon (const Glib::ustring& icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon.
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag source.
void | drag_source_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag source.
void | drag_source_add_image_targets ()
| Add the writable image targets supported by Gtk::Selection to the target list of the drag source.
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event)
| Initiates a drag on the source side.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a mouse drag starting at ( start_x, start_y) and ending at ( current_x, current_y) has passed the GTK+ drag threshold, and thus should trigger the beginning of a drag-and-drop operation.
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext >& context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated.
bool | get_no_show_all () const
| Returns the current value of the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_parent (Widget& parent)
| This function is useful only when implementing subclasses of Gtk::Container.
void | unparent ()
| This function is only for use in widget implementations.
void | map ()
| This function is only for use in widget implementations.
void | unmap ()
| This function is only for use in widget implementations.
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context >& cr, const Gdk::Rectangle& location, bool is_primary, TextDirection direction, bool draw_arrow=true)
| Draws a text caret on cr at location.
void | set_tooltip_window (Window& widget)
| Replaces the default, usually yellow, window used for displaying tooltips with custom_window.
Window* | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located.
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget.
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget.
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
| Returns the style context associated to widget.
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
| Returns the modifier mask the widget's windowing system backend uses for a particular purpose.
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Allocation& > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy1< void, Widget* > | signal_parent_changed ()
| Informs objects that their parent changed.
Glib::SignalProxy1< void, Widget* > | signal_hierarchy_changed ()
Glib::SignalProxy0< void > | signal_style_updated ()
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent* > | signal_event ()
Glib::SignalProxy1< void, GdkEvent* > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_press_event ()
| Event triggered by user pressing button.
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_release_event ()
| Event triggered by user releasing button.
Glib::SignalProxy1< bool, GdkEventScroll* > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion* > | signal_motion_notify_event ()
| Event triggered by user moving pointer.
Glib::SignalProxy1< bool, GdkEventAny* > | signal_delete_event ()
Glib::SignalProxy1< bool, const ::Cairo::RefPtr < ::Cairo::Context >& > | signal_draw ()
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_press_event ()
| Event triggered by a key press will widget has focus.
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_release_event ()
| Event triggered by a key release will widget has focus.
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area.
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area.
Glib::SignalProxy1< bool, GdkEventConfigure* > | signal_configure_event ()
| Event triggered by a window resizing.
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty* > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility* > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventWindowState* > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData&, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData&, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_begin ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_end ()
Glib::SignalProxy4< void, const Glib::RefPtr < Gdk::DragContext > &, SelectionData&, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_data_delete ()
Glib::SignalProxy2< bool, const Glib::RefPtr < Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gdk::DragContext >&, guint > | signal_drag_leave ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy6< void, const Glib::RefPtr < Gdk::DragContext >&, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::Screen >& > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr < Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken* > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose* > | signal_damage_event ()
Glib::SignalProxy1< bool, GdkEventTouch* > | signal_touch_event ()
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy< Container* > | property_parent ()
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly < Container* > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget.
Glib::PropertyProxy_ReadOnly < bool > | property_app_paintable () const
| Whether the application will paint directly on the widget.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus.
Glib::PropertyProxy_ReadOnly < bool > | property_can_focus () const
| Whether the widget can accept the input focus.
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus.
Glib::PropertyProxy_ReadOnly < bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy_ReadOnly < bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget.
Glib::PropertyProxy_ReadOnly < bool > | property_can_default () const
| Whether the widget can be the default widget.
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget.
Glib::PropertyProxy_ReadOnly < bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| If TRUE, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly < bool > | property_receives_default () const
| If TRUE, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly < bool > | property_composite_child () const
| Whether the widget is part of a composite widget.
Glib::PropertyProxy < Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors etc).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors etc).
Glib::PropertyProxy < Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy_ReadOnly < Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Whether this widget has a tooltip.
Glib::PropertyProxy_ReadOnly < bool > | property_has_tooltip () const
| Whether this widget has a tooltip.
Glib::PropertyProxy < Glib::ustring > | property_tooltip_markup ()
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_markup () const
| The contents of the tooltip for this widget.
Glib::PropertyProxy < Glib::ustring > | property_tooltip_text ()
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_text () const
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized.
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether gtk_widget_show_all() should not affect this widget.
Glib::PropertyProxy_ReadOnly < bool > | property_no_show_all () const
| Whether gtk_widget_show_all() should not affect this widget.
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether the widget is double buffered.
Glib::PropertyProxy_ReadOnly < bool > | property_double_buffered () const
| Whether the widget is double buffered.
Glib::PropertyProxy< Align > | property_halign ()
| How to position in extra horizontal space.
Glib::PropertyProxy_ReadOnly < Align > | property_halign () const
| How to position in extra horizontal space.
Glib::PropertyProxy< Align > | property_valign ()
| How to position in extra vertical space.
Glib::PropertyProxy_ReadOnly < Align > | property_valign () const
| How to position in extra vertical space.
Glib::PropertyProxy< int > | property_margin_left ()
| Pixels of extra space on the left side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
| Pixels of extra space on the left side.
Glib::PropertyProxy< int > | property_margin_right ()
| Pixels of extra space on the right side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
| Pixels of extra space on the right side.
Glib::PropertyProxy< int > | property_margin_top ()
| Pixels of extra space on the top side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Pixels of extra space on the top side.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Pixels of extra space on the bottom side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Pixels of extra space on the bottom side.
Glib::PropertyProxy< int > | property_margin ()
| Pixels of extra space on all four sides.
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| Pixels of extra space on all four sides.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether widget wants more horizontal space.
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand () const
| Whether widget wants more horizontal space.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property.
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand_set () const
| Whether to use the hexpand property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether widget wants more vertical space.
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand () const
| Whether widget wants more vertical space.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property.
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand_set () const
| Whether to use the vexpand property.
Glib::PropertyProxy< bool > | property_expand ()
| Whether widget wants to expand in both directions.
Glib::PropertyProxy_ReadOnly < bool > | property_expand () const
| Whether widget wants to expand in both directions.
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()

## Related Functions
(Note that these are not member functions.)
Gtk::OffscreenWindow* | wrap (GtkOffscreenWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Window
Gtk::Window* | wrap (GtkWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Bin
Gtk::Bin* | wrap (GtkBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Container
Gtk::Container* | wrap (GtkContainer* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::Window
static void | set_default_icon_list (const std::vector< Glib::RefPtr< Gdk::Pixbuf > >& list)
| Sets an icon list to be used as fallback for windows that haven't had set_icon_list() called on them to set up a window-specific icon list.
static std::vector < Glib::RefPtr< Gdk::Pixbuf > > | get_default_icon_list ()
| Gets the value set by Gtk::Window::set_default_icon_list().
static void | set_default_icon (const Glib::RefPtr< Gdk::Pixbuf >& icon)
| Sets an icon to be used as fallback for windows that haven't had set_icon() called on them from a pixbuf.
static void | set_default_icon_name (const Glib::ustring& name)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a named themed icon, see set_icon_name().
static bool | set_default_icon_from_file (const std::string& filename)
| Sets an icon to be used as fallback for windows that haven't had set_icon_list() called on them from a file on disk.
static void | set_auto_startup_notification (bool setting=true)
| By default, after showing the first Gtk::Window, GTK+ calls gdk_notify_startup_complete().
static std::vector< Window* > | list_toplevels ()
| Returns a list of all existing toplevel windows.
Protected Member Functions inherited from Gtk::Window
virtual void | on_set_focus (Widget* focus)
| This is a default handler for the signal signal_set_focus().
void | destroy_ ()
Protected Member Functions inherited from Gtk::Bin
| Bin ()
| This constructor is protected because only derived classes should be instantiated.
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget* widget)
| This is a default handler for the signal signal_add().
virtual void | on_remove (Widget* widget)
| This is a default handler for the signal signal_remove().
virtual void | on_check_resize ()
| This is a default handler for the signal signal_check_resize().
virtual void | on_set_focus_child (Widget* widget)
| This is a default handler for the signal signal_set_focus_child().
| Container ()
virtual GType | child_type_vfunc () const
| Implements child_type().
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
| Invokes a callback on all children of the container.
virtual char* | composite_name_vfunc (GtkWidget* child)
| Returns the composite name of a child widget.
virtual void | set_child_property_vfunc (GtkWidget* child, guint property_id, const GValue*value, GParamSpec* pspec)
| Sets a child property for this container and its child.
virtual void | get_child_property_vfunc (GtkWidget* child, guint property_id, GValue*value, GParamSpec* pspec) const
| Returns a child property for this container and its child.
Glib::PropertyProxy< guint > | property_border_width ()
| The width of the empty border outside the containers children.
Glib::PropertyProxy_ReadOnly < guint > | property_border_width () const
| The width of the empty border outside the containers children.
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
| Specify how resize events are handled.
Glib::PropertyProxy_ReadOnly < ResizeMode > | property_resize_mode () const
| Specify how resize events are handled.
Glib::PropertyProxy_WriteOnly < Widget* > | property_child ()
| Can be used to add a new child to the container.
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_size_allocate (Allocation& allocation)
| This is a default handler for the signal signal_size_allocate().
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed().
virtual void | on_parent_changed (Widget* previous_parent)
| This is a default handler for the signal signal_parent_changed().
virtual void | on_hierarchy_changed (Widget* previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed().
virtual void | on_style_updated ()
| This is a default handler for the signal signal_style_updated().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify().
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus().
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus().
virtual bool | on_event (GdkEvent*event)
| This is a default handler for the signal signal_event().
virtual bool | on_button_press_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_press_event().
virtual bool | on_button_release_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_release_event().
virtual bool | on_scroll_event (GdkEventScroll*event)
| This is a default handler for the signal signal_scroll_event().
virtual bool | on_motion_notify_event (GdkEventMotion*event)
| This is a default handler for the signal signal_motion_notify_event().
virtual bool | on_delete_event (GdkEventAny*event)
| This is a default handler for the signal signal_delete_event().
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| This is a default handler for the signal signal_draw().
virtual bool | on_key_press_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_press_event().
virtual bool | on_key_release_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_release_event().
virtual bool | on_enter_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_enter_notify_event().
virtual bool | on_leave_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_leave_notify_event().
virtual bool | on_configure_event (GdkEventConfigure*event)
| This is a default handler for the signal signal_configure_event().
virtual bool | on_focus_in_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_in_event().
virtual bool | on_focus_out_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_out_event().
virtual bool | on_map_event (GdkEventAny*event)
| This is a default handler for the signal signal_map_event().
virtual bool | on_unmap_event (GdkEventAny*event)
| This is a default handler for the signal signal_unmap_event().
virtual bool | on_property_notify_event (GdkEventProperty*event)
| This is a default handler for the signal signal_property_notify_event().
virtual bool | on_selection_clear_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_clear_event().
virtual bool | on_selection_request_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_request_event().
virtual bool | on_selection_notify_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_notify_event().
virtual bool | on_proximity_in_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_in_event().
virtual bool | on_proximity_out_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_out_event().
virtual bool | on_visibility_notify_event (GdkEventVisibility*event)
| This is a default handler for the signal signal_visibility_notify_event().
virtual bool | on_window_state_event (GdkEventWindowState*event)
| This is a default handler for the signal signal_window_state_event().
virtual void | on_selection_get (SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get().
virtual void | on_selection_received (const SelectionData& selection_data, guint time)
| This is a default handler for the signal signal_selection_received().
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_begin().
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_end().
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext >& context, SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get().
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_data_delete().
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext >& context, guint time)
| This is a default handler for the signal signal_drag_leave().
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion().
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop().
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, const SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received().
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen >& previous_screen)
| This is a default handler for the signal signal_screen_changed().
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec** p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int& minimum_width, int& natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int& minimum_height, int& natural_height) const
virtual void | get_preferred_height_vfunc (int& minimum_height, int& natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int& minimum_width, int& natural_width) const
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget.
void | unrealize ()
| This function is only useful in widget implementations.
void | draw (const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| Draws widget to cr.
void | set_mapped (bool mapped=true)
| Marks the widget as being realized.
void | set_realized (bool realized=true)
| Marks the widget as being realized.
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own.
void | set_window (const Glib::RefPtr< Gdk::Window >& window)
| Sets a widget's window.
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context >& cr, const Glib::RefPtr< const Gdk::Window >& window)
| Transforms the given cairo context cr from widget-relative coordinates to window-relative coordinates.
Requisition | get_requisition () const
| Retrieves the widget's requisition.
void | get_style_property_value (const Glib::ustring& the_property_name, Glib::ValueBase&value) const
| Gets the value of a style property of widget.
void | realize_if_needed ()
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.

## Detailed Description

A top-level container widget used to manage offscreen rendering of child widgets.

OffscreenWindow is strictly intended to be used for obtaining snapshots of widgets that are not part of a normal widget hierarchy. It differs from Gtk::Widget::get_snapshot() in that the widget you want to get a snapshot of need not be displayed on the user's screen as a part of a widget hierarchy. However, since OffscreenWindow is a top-level widget you cannot obtain snapshots of a full window with it since you cannot pack a toplevel widget in another toplevel.

The idea is to take a widget and manually set the state of it, add it to an OffscreenWindow and then retrieve the snapshot as a Gdk::Pixbuf.

OffscreenWindow derives from Window only as an implementation detail. Applications should not use any API specific to #GtkWindow to operate on this object. It should be treated as a Bin that has no parent widget.

When contained offscreen widgets are redrawn, OffscreenWindow will emit a "damage-event" signal.

Since gtkmm 2.20:

## Constructor & Destructor Documentation

virtual Gtk::OffscreenWindow::~OffscreenWindow | ( |  | ) |
| virtual

Gtk::OffscreenWindow::OffscreenWindow | ( |  | ) |

## Member Function Documentation

Glib::RefPtr<Gdk::Pixbuf> Gtk::OffscreenWindow::get_pixbuf | ( |  | ) |

Retrieves a snapshot of the contained widget in the form of a Gdk::Pixbuf.

This is a new pixbuf with a reference count of 1, and the application should unreference it once it is no longer needed.

Since gtkmm 2.20:

Returns:
  A Gdk::Pixbuf pointer, or `0`.

Glib::RefPtr<const Gdk::Pixbuf> Gtk::OffscreenWindow::get_pixbuf | ( |  | ) | const

Retrieves a snapshot of the contained widget in the form of a Gdk::Pixbuf.

This is a new pixbuf with a reference count of 1, and the application should unreference it once it is no longer needed.

Since gtkmm 2.20:

Returns:
  A Gdk::Pixbuf pointer, or `0`.

Cairo::RefPtr<Cairo::Surface> Gtk::OffscreenWindow::get_surface | ( |  | ) |

Retrieves a snapshot of the contained widget in the form of a #cairo_surface_t.

If you need to keep this around over window resizes then you should add a reference to it.

Since gtkmm 2.20:

Returns:
  A #cairo_surface_t pointer to the offscreen surface, or `0`.

Cairo::RefPtr<const Cairo::Surface> Gtk::OffscreenWindow::get_surface | ( |  | ) | const

Retrieves a snapshot of the contained widget in the form of a #cairo_surface_t.

If you need to keep this around over window resizes then you should add a reference to it.

Since gtkmm 2.20:

Returns:
  A #cairo_surface_t pointer to the offscreen surface, or `0`.

GtkOffscreenWindow* Gtk::OffscreenWindow::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

const GtkOffscreenWindow* Gtk::OffscreenWindow::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Window.

## Friends And Related Function Documentation

Gtk::OffscreenWindow* wrap | ( | GtkOffscreenWindow * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/offscreenwindow.h